<?php

namespace App\Http\Controllers\Admin\AffiliateUsers\PromoGroup;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\PromoGroup;

class PromoGroupController extends Controller
{
    //Promo Group Index
     public function promo_group_callback(){
         
        return view('admin.Affiliate_users.Promo_Group.index',['promo_groups' => PromoGroup::get(['id','name'])]);
    }
    
    //Save Into Database
    public function promo_group_save(Request $req){
        
        //Validation
        $req->validate([
            'name' => 'unique:promo_groups'
        ]);
        
        //Database Insertion
        $status = PromoGroup::create([
        'name' => $req->name    
        ]);
        
        //response
        if($status){
            session()->flash('success','Promo Group Inserted Successfully');
            return back();
        }else{
            session()->flash('error','Something Went Wrong. Please Try Again');
            return back();
        }
        
    }
    
    //Promo Group Edit
    public function promo_group_edit(PromoGroup $promo_group){
        
        return view('admin.Affiliate_users.Promo_Group.edit-promo-group',['promo_group' => $promo_group]);
    }
    
    //Promo Group Update
    public function promo_group_update(Request $req){
        
        //Validation
        $req->validate([
            'name' => 'unique:promo_groups'
        ]);
        
        //Database Insertion
        $status = PromoGroup::where('id',$req->group_id)->update([
        'name' => $req->name    
        ]);
        
        //response
        if($status){
            session()->flash('success','Promo Group Updated Successfully');
            return redirect()->route('affiliate_user.promo_group.index');
        }else{
            session()->flash('error','Something Went Wrong. Please Try Again');
            return redirect()->route('affiliate_user.promo_group.index');
        }
    }
    
    //Promo Group Delete
    public function promo_group_delete(Request $req){
        
        //Deletion
        PromoGroup::where('id',$req->group_id)->delete();
        
        // Response
        session()->flash('success','Promo Group Deleted Successfully');
        return redirect()->route('affiliate_user.promo_group.index');
    }
}
