<?php

namespace App\Http\Controllers\Transaction;

use App\Http\Controllers\Controller;
use App\Models\PromoGroup;
use App\Models\Setting;
use App\Models\Transaction;
use App\Models\User;
use Auth;
use Illuminate\Http\Request;

use App\Exports\TransactionExport;
use Maatwebsite\Excel\Facades\Excel;

class TransactionController extends Controller
{
    //All Transactions
    public function all_transactions_callback()
    {
        $status = 'Completed';
        $limit = 20;

        if(isset($_GET['trans_limit'])){
            $limit = $_GET['trans_limit'];
        }
         
        if (!empty($_GET['status']) && $_GET['status'] !== null) {
            $status = $_GET['status'];
        }

        if (auth()->user()->role == "1") {

            if (isset($_GET['submit'])) {
                $query = Transaction::query();

                //Filter By Date
                if (!empty($_GET['date_from']) && $_GET['date_from'] !== null) {
                    $query->whereBetween('created_at', [$_GET['date_from'] . ' 00:00:00', $_GET['date_to'] . ' 23:59:59']);
                }

                //Filter By Promo Group
                if (!empty($_GET['status']) && $_GET['status'] !== null) {
                    $query->where('status', $_GET['status']);
                }

                //Filter By Affiliate User
                if (!empty($_GET['filter_user']) && $_GET['filter_user'] !== null) {
                    $query->where('affiliate_user_id', $_GET['filter_user']);
                }
                //Filter By Customer
                if (!empty($_GET['filter_customer']) && $_GET['filter_customer'] !== null) {
                   // $query->whereHas('customer', function ($q) {
                        $query->where('email', 'LIKE', '%' . $_GET['filter_customer'] . '%');
                       // $q->orWhere('email', 'LIKE', '%' . $_GET['filter_customer'] . '%');
                  //  });
                }

                $query->orderBy('created_at','DESC');

                $transactions = $query->with('customer', 'promo_group', 'affiliate_user')->paginate($limit)->withQueryString();

            } else {
                $transactions = Transaction::with('customer', 'promo_group', 'affiliate_user')->orderBy('created_at','DESC')->paginate($limit)->withQueryString();
            }

        } else {
            if (isset($_GET['submit'])) {
                $query = Transaction::where('affiliate_user_id', auth()->user()->id);

                //Filter By Date
                if (!empty($_GET['date_from']) && $_GET['date_from'] !== null) {
                    $query->whereBetween('created_at', [$_GET['date_from'] . ' 00:00:00', $_GET['date_to'] . ' 23:59:59']);
                }

                //Filter By Promo Group
                if (!empty($_GET['status']) && $_GET['status'] !== null) {
                    $query->where('status', $_GET['status']);
                }

                //Filter By Affiliate User
                if (!empty($_GET['filter_user']) && $_GET['filter_user'] !== null) {
                    $query->where('affiliate_user_id', $_GET['filter_user']);
                }
                //Filter By Customer
                if (!empty($_GET['filter_customer']) && $_GET['filter_customer'] !== null) {
                   // $query->whereHas('customer', function ($q) {
                        $query->where('email', 'LIKE', '%' . $_GET['filter_customer'] . '%');
                        //$q->orWhere('email', 'LIKE', '%' . $_GET['filter_customer'] . '%');
                   // });
                }

                $query->orderBy('created_at','DESC');
                $transactions = $query->with('customer', 'promo_group', 'affiliate_user')->paginate($limit)->withQueryString();

            } else {
                $transactions = Transaction::where('affiliate_user_id', auth()->user()->id)->with('customer', 'promo_group', 'affiliate_user')
                ->orderBy('created_at','DESC')
                ->paginate($limit)->withQueryString();
            }

        }

        $users = User::where('id', "!=", Auth::id())->where('role', "!=", "1")->get(['name', 'id']);
        $promo_groups = PromoGroup::get(['id', 'name']);


        if (auth()->user()->id == '1') {


            $refunded_amount = Transaction::where('status', 'Refunded')->groupBy('currency')
                ->selectRaw('sum(amount) as sum, currency')
                ->pluck('sum', 'currency')->toArray();


                $aw_query = Transaction::where('status', $status);

                 //Filter By Date
                 if (!empty($_GET['date_from']) && $_GET['date_from'] !== null) {
                    $aw_query->whereBetween('created_at', [$_GET['date_from'] . ' 00:00:00', $_GET['date_to'] . ' 23:59:59']);
                }

                if (!empty($_GET['filter_customer']) && $_GET['filter_customer'] !== null) {
                    // $query->whereHas('customer', function ($q) {
                         $aw_query->where('email', 'LIKE', '%' . $_GET['filter_customer'] . '%');
                         //$q->orWhere('email', 'LIKE', '%' . $_GET['filter_customer'] . '%');
                    // });
                 }

                 if (!empty($_GET['filter_user']) && $_GET['filter_user'] !== null) {
                    $aw_query->where('affiliate_user_id', $_GET['filter_user']);
                }

                 $transaction_amount = $aw_query->groupBy('currency')
                ->selectRaw('sum(amount) as sum, currency')
                ->pluck('sum', 'currency')->toArray();


        } else {
            $refunded_amount = Transaction::where('affiliate_user_id', auth()->user()->id)
            ->where('status', 'Refunded')->groupBy('currency')
                ->selectRaw('sum(amount) as sum, currency')
                ->pluck('sum', 'currency')->toArray();

            $transaction_amount_query = Transaction::where('affiliate_user_id', auth()->user()->id)
            ->where('status', $status)
            ->groupBy('currency')
                ->selectRaw('sum(amount) as sum, currency');
                
                 //Filter By Date
                if (!empty($_GET['date_from']) && $_GET['date_from'] !== null) {
                    $transaction_amount_query->whereBetween('created_at', [$_GET['date_from'] . ' 00:00:00', $_GET['date_to'] . ' 23:59:59']);
                }
                
                
                $transaction_amount = $transaction_amount_query->pluck('sum', 'currency')->toArray();
        }

        return view('Transactions.all_transaction', [
            'transactions' => $transactions,
            'users' => $users,
            'promo_groups' => $promo_groups,
            'refunded_amount' => $refunded_amount,
            'transaction_amount' => $transaction_amount,
        ]);
    }

    //Failed Transactions
    public function failed_transactions_callback()
    {
        if (auth()->user()->role == "1") {
            $transactions = Transaction::where('status', 'Failed')->with('customer', 'promo_group', 'affiliate_user')->get();

        } else {
            $transactions = Transaction::where('affiliate_user_id', auth()->user()->id)->where('status', 'Failed')->with('customer', 'promo_group', 'affiliate_user')->get();
        }

        return view('Transactions.failed', [
            'transactions' => $transactions,
        ]);

    }
    
    public function export_transaction_callback(Request $req){
         return Excel::download(new TransactionExport, 'all-transactions.xlsx');
    }

    //Refund Payment
    public function refund_transaction_callback(Request $req)
    {

        //Get Transaction of intended id
        $transaction = Transaction::where('id', $req->transaction_id)->first();

        //Retrieve Stripe secret Key From  Settings
        $stripe_secret_key = Setting::where('key', 'stripe_secret_key')->first(['value']);

        //Stripe Client Creation
        $stripe = new \Stripe\StripeClient($stripe_secret_key->value);

        //Refund Processing
        $response = $stripe->refunds->create([
            'payment_intent' => $transaction->payment_intent_id,
        ]);

        if ($response->status == "succeeded") {

            Transaction::where('id', $req->transaction_id)->update([
                'status' => "Refunded",
            ]);

            session()->flash('success', "Payment Refunded Successfully");
            return back();

        } else {
            session()->flash('error', "Payment cannot be refunded now. Please try again later.");
            return back();
        }

    }
  
    public function transaction_detail_callback(Request $req)
    {

        //Get Desired Transaction
        $transaction = Transaction::where('id', $req->transaction_id)->first();


        $brand = '';

        if ($transaction->status == "Completed") {
        $paymentIntentId = $transaction->payment_intent_id;  // Replace with your payment_intent ID

        $stripe_secret_key = Setting::where('key', 'stripe_secret_key')->first(['value']);
        \Stripe\Stripe::setApiKey($stripe_secret_key->value);

        try {
            $paymentIntent = \Stripe\PaymentIntent::retrieve($paymentIntentId);

            // Retrieve the associated PaymentMethod ID
            $paymentMethodId = $paymentIntent->payment_method;

        } catch (\Stripe\Exception\StripeException $e) {
            // Handle the exception as required
            echo "Error: " . $e->getMessage();
        }

        try {
            $paymentMethod = \Stripe\PaymentMethod::retrieve($paymentMethodId);
            $brand = $paymentMethod->card->brand;  // This gives you the card brand e.g., visa, mastercard, etc.
        
            // Display or process the card brand as required
            
        } catch (\Stripe\Exception\StripeException $e) {
            // Handle the exception as required
            echo "Error: " . $e->getMessage();
        }
        
    }

        if ($transaction->status == "Completed") {
            $color = "badge-success";
        } elseif ($transaction->status == "Failed") {
            $color = "badge-danger";
        } else {
            $color = "badge-warning";
        }

        echo '<tr>
            <th scope="row">Status</th>
            <td><span class="badge ' . $color . ' ">' . $transaction->status . '</span></td>
          </tr>
<style>
td img{
    width:200px!important;
    height:auto !important;
}
</style>
          <tr>
          <th scope="row">Reason</th>
          <td>' . $transaction->reason . '</td>
      </tr>

      <tr>
      <th scope="row">Brand</th>
      <td>' . $brand . '</td>
  </tr>

        <tr>
            <th scope="row">Transaction ID</th>
            <td>' . $transaction->payment_intent_id . '</td>
        </tr>

        <tr>
            <th scope="row">Amount</th>
            <td>' . $transaction->amount . ' ' . $transaction->currency . '</td>
        </tr>
       <tr>
            <th scope="row">Product Name</th>
            <td>E-Course materials.</td>
        </tr>
        <tr>
            <th scope="row">Customer Name</th>
            <td>' . $transaction->firstname . ' ' . $transaction->lastname . '</td>
        </tr>
        <tr>
            <th scope="row">Email</th>
            <td>' . $transaction->email . '</td>
        </tr>
        <tr>
            <th scope="row">Phone</th>
            <td>' . $transaction->phone . '</td>
        </tr>
        <tr>
            <th scope="row">Address</th>
            <td>' . $transaction->address . '</td>
        </tr>

        <tr>
        <th scope="row">IP</th>
        <td>' . $transaction->ip_address . '</td>
        </tr>
        <tr>
        <!--<th scope="row">Provide</th>
        <td>MarketingForceLimited</td>
        </tr>-->
        <tr>
        <th scope="row">Payment Method</th>
        <td>Stripe</td>
        </tr>
        <tr>
        <th scope="row">Affiliate User</th>
        <td>' . $transaction->affiliate_user->name . '</td>
        </tr>
        <tr>
        <th scope="row">Promo Code</th>
        <td>' . $transaction->promo_code . '</td>
        </tr>
        <tr>
        <th scope="row">Date</th>
        <td>' . date_format($transaction->created_at, 'd-m-Y') . '</td>
        </tr>
        <tr>
        <th scope="row">Signature</th>
        <td><img width="100" style="mix-blend-mode: exclusion;"  src="' . $transaction->signature_image . '"></td>
        </tr>
        ';

    }

    public function refund_transaction_detail_callback()
    {

        if (auth()->user()->role == "1") {
            $transactions = Transaction::where('status', 'Refunded')->with('customer', 'promo_group', 'affiliate_user')->get();
            $refunded_amount = Transaction::where('status', 'Refunded')->groupBy('currency')
            ->selectRaw('sum(amount) as sum, currency')
            ->pluck('sum', 'currency')->toArray();

        } else {
            $refunded_amount = Transaction::where('affiliate_user_id', auth()->user()->id)->where('status', 'Refunded')->groupBy('currency')
            ->selectRaw('sum(amount) as sum, currency')
            ->pluck('sum', 'currency')->toArray();
            $transactions = Transaction::where('affiliate_user_id', auth()->user()->id)->where('status', 'Refunded')->with('customer', 'promo_group', 'affiliate_user')->get();
        }

        //Refunded Amount Statistics
       

        return view('Transactions.refund_detail', [
            'transactions' => $transactions,
            'refunded_amount' => $refunded_amount,
        ]);

    }

}
