<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('transactions', function (Blueprint $table) {
            $table->id();
            $table->string('firstname')->default('');
            $table->string('lastname')->default('');
            $table->string('email')->default('');
            $table->string('address')->default('');
            $table->string('country')->default('');
            $table->string('city')->default('');
            $table->string('phone')->default('');
            $table->string('currency')->default('');
            $table->bigInteger('amount')->nullable();
            $table->bigInteger('promo_code')->nullable();
            $table->string('stripe_customer_id')->default('');
            $table->string("affiliate_user_id")->default('');
            $table->string('payment_method_id')->default('');
            $table->string('ip_address')->default('');
            $table->string('payment_intent_id')->default('');
            $table->string('signature_agreement')->default('');
            $table->text('signature_image')->default('');
            $table->string('status')->default('');
            $table->timestamps();
            $table->string('reason')->default('');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('transactions');
    }
};
