<?php

namespace App\Http\Controllers\Dashboard;

use App\Http\Controllers\Controller;
use App\Models\Transaction;

class DashboardController extends Controller
{

    public function index()
    {

        //Select Transaction Based on Roles
        if (auth()->user()->id == "1") {
            $total_transactions = Transaction::count();
            $completed_transactions = Transaction::where('status', 'Completed')->count();
            $failed_transactions = Transaction::where('status', 'Failed')->count();
            $refunded_amount = Transaction::where('status', 'Refunded')->count();
        } else {
            $total_transactions = Transaction::where('affiliate_user_id', auth()->user()->id)->count();
            $completed_transactions = Transaction::where('affiliate_user_id', auth()->user()->id)->where('status', 'Completed')->count();
            $failed_transactions = Transaction::where('affiliate_user_id', auth()->user()->id)->where('status', 'Failed')->count();
            $refunded_amount = Transaction::where('affiliate_user_id', auth()->user()->id)->where('status', 'Refunded')->count();
        }
        return view('Dashboard.dashboard', [
            'total_transactions' => $total_transactions,
            'completed_transactions' => $completed_transactions,
            'failed_transactions' => $failed_transactions,
            'refunded_amount' => $refunded_amount,
        ]);
    }

    public function app_root_route_callback(){
        
        if(auth()->check()){
            //Select Transaction Based on Roles
        if (auth()->user()->id == "1") {
            $total_transactions = Transaction::count();
            $completed_transactions = Transaction::where('status', 'Completed')->count();
            $failed_transactions = Transaction::where('status', 'Failed')->count();
            $refunded_amount = Transaction::where('status', 'Refunded')->count();
        } else {
            $total_transactions = Transaction::where('affiliate_user_id', auth()->user()->id)->count();
            $completed_transactions = Transaction::where('affiliate_user_id', auth()->user()->id)->where('status', 'Completed')->count();
            $failed_transactions = Transaction::where('affiliate_user_id', auth()->user()->id)->where('status', 'Failed')->count();
            $refunded_amount = Transaction::where('affiliate_user_id', auth()->user()->id)->where('status', 'Refunded')->count();
        }
        return view('Dashboard.dashboard', [
            'total_transactions' => $total_transactions,
            'completed_transactions' => $completed_transactions,
            'failed_transactions' => $failed_transactions,
            'refunded_amount' => $refunded_amount,
        ]);
        }else{
            return view('auth.login');
        }

    }

}
