@extends('layouts.admin-user-master-layout')
@section('title', 'Purple - Affiliate Users')
@section('styles')

    <style type="text/css">
        .modal-dialog {
            max-width: 768px;
        }
        
         tbody tr td{
            white-space:inherit !important;
        }
        
        .card .card-body {
            padding: 15px;
        }
    </style>

@endsection
@section('page-heading', 'Failed Transactions')
@section('content')

   

    <div class="container-fluid">




        <div class="col-sm-12">
            <div class="card ">
                <div class="card-bpdy">

                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Customer</th>
                                <th>Email</th>
                                <th>Affiliate User</th>
                                <th>Amount</th>
                                <th>Status</th>
                                {{-- <th>IP Address</th> --}}
                                <th>Created At</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $i = 1; ?>
                            @forelse($transactions as $transaction)
                                <tr>
                                    <th scope="row">{{ $i }}</th>
                                    <td>{{ $transaction->firstname }} {{ $transaction->lastname }}</td>
                                    <td>{{ $transaction->email }}</td>
                                    <td>{{ $transaction->affiliate_user->name }}</td>
                                    <td class="text-uppercase">{{ $transaction->amount }} {{ $transaction->currency }}</td>
                                    <td><span
                                            class="badge @if ($transaction->status == 'Completed') badge-success @elseif($transaction->status == 'Failed') badge-danger @else badge-warning @endif ">{{ $transaction->status }}</span>
                                    </td>
                                    {{-- <td>{{ $transaction->ip_address }}</td> --}}
                                    <td>{{ date_format($transaction->created_at, 'd-m-Y') }}</td>
                                    <td>
                                        @if ($transaction->status == 'Completed')
                                            <form class="mb-2" action="{{ route('transaction.refund') }}"
                                                onsubmit="return confirm('Are you sure you want to refund this payment? This cannot be reverted')"
                                                method="POST">@csrf
                                                <input type="hidden" name="transaction_id" value="{{ $transaction->id }}">
                                                <button type="submit" class="btn btn-primary mr-2 "><i
                                                        class="fa fa-dollar"></i>
                                                    Refund</button>
                                            </form>
                                        @endif
                                        <button data-id="{{ $transaction->id }}"
                                            class="btn btn-inverse-danger btn-icon transaction-detail-btn"><i class="mdi mdi-eye"></i></button>
                                    </td>

                                    {{-- data-toggle="modal" data-target="#transModalCenter" --}}
                                </tr>
                                <?php $i++; ?>
                            @empty
                                <tr>
                                    <td colspan="10" class="text-center">No Transaction</td>
                                </tr>
                            @endforelse




                        </tbody>
                    </table>
                </div>
            </div>
        </div>

    </div>
    <!--- ==== container-fluid ==== --->

    <!--- =========== Detail modal ===================----->
    <!-- Modal -->
    <div class="modal fade bd-example-modal-lg" id="transModalCenter" tabindex="-1" role="dialog"
        aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog " role="document">
            <div class="modal-content card">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle">Transaction Detail</h5>
                    <button type="button" class="m-close close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <form>
                    <div class="modal-body card-body">

                        <div class="table-responsive">
                            <table class="table">
                                <tbody id="transaction_detail_container">

                                </tbody>

                            </table>
                        </div>


                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-gradient-primary m-close" data-dismiss="modal">Close</button>
                    </div>
                </form>

            </div>
        </div>
    </div>

@endsection
@section('scripts')
    <script>
        $(document).ready(function() {
            
            $('.m-close').click(function(){
                
                $("#transModalCenter").modal("hide");
                
            });

            $(".transaction-detail-btn").on("click", function() {

                var transaction_id = $(this).data('id');

                //Ajax Request
                $.ajax({

                    type: "POST",
                    url: "{{ route('transction.detail') }}",
                    data: {
                        "_token": "{{ csrf_token() }}",
                        "transaction_id": transaction_id
                    },
                    success: function(data) {

                        if (data.length > 0) {
                            $("#transaction_detail_container").html('');
                            $("#transaction_detail_container").prepend(data);
                            $("#transModalCenter").modal("show");

                        }

                        
                    }

                });

            });

        });
    </script>
@endsection
