@extends('layouts.admin-user-master-layout')
@section('title', 'Purple - Affiliate Users')
@section('styles')

    <style type="text/css">
        .modal-dialog {
            max-width: 768px;
        }
         tbody tr td{
            white-space:inherit !important;
        }
        
        .card .card-body {
            padding: 15px;
        }
    </style>

@endsection
@section('page-heading', 'Transactions')
@section('content')

   

    <div class="container-fluid">

        
        <!---= ===== row ===== ---->

        <div class="row px-3">

            <div class="col-md-12 col-sm-12">
                <h4>Total Refund</h4>
            </div>

            <div class="col-md-3 col-sm-6 stretch-card grid-margin">
                <div class="card bg-gradient-danger card-img-holder text-white">
                  <div class="card-body">
                    <img src="{{asset('assets/images/dashboard/circle.svg')}}" class="card-img-absolute" alt="circle-image">
                    <h4 class="font-weight-normal mb-3">USD <i class="mdi mdi-chart-line mdi-24px float-right"></i>
                    </h4>
                    <h2><i class="mdi mdi-currency-usd"></i>@isset($refunded_amount['usd']){{ $refunded_amount['usd'] }}
                            @else
                                0
                            @endisset</h2>
                    
                  </div>
                </div>
              </div>
              
              <div class="col-md-2 col-sm-6 stretch-card grid-margin">
                <div class="card bg-gradient-success card-img-holder text-white">
                  <div class="card-body">
                    <img src="{{asset('assets/images/dashboard/circle.svg')}}" class="card-img-absolute" alt="circle-image">
                    <h4 class="font-weight-normal mb-3">EURO <i class="mdi mdi-chart-line mdi-24px float-right"></i>
                    </h4>
                    <h2><i class="mdi mdi-currency-eur"></i>@isset($refunded_amount['eur'])
                                {{ $refunded_amount['eur'] }}
                            @else
                                0
                            @endisset</h2>
                    
                  </div>
                </div>
              </div>
              
              
              <div class="col-md-2 col-sm-6 stretch-card grid-margin">
                <div class="card bg-gradient-info card-img-holder text-white">
                  <div class="card-body">
                    <img src="{{asset('assets/images/dashboard/circle.svg')}}" class="card-img-absolute" alt="circle-image">
                    <h4 class="font-weight-normal mb-3">GBP <i class="mdi mdi-chart-line mdi-24px float-right"></i>
                    </h4>
                    <h2><i class="mdi mdi-currency-gbp"></i>@isset($refunded_amount['gbp'])
                                {{ $refunded_amount['gbp'] }}
                            @else
                                0
                            @endisset</h2>
                    
                  </div>
                </div>
              </div>
              
              
              <div class="col-md-3 col-sm-6 stretch-card grid-margin">
                <div class="card bg-gradient-warning card-img-holder text-white">
                  <div class="card-body">
                    <img src="{{asset('assets/images/dashboard/circle.svg')}}" class="card-img-absolute" alt="circle-image">
                    <h4 class="font-weight-normal mb-3">AUD <i class="mdi mdi-chart-line mdi-24px float-right"></i>
                    </h4>
                    <h2><i class="mdi mdi-currency-usd"></i>@isset($refunded_amount['aud'])
                                {{ $refunded_amount['aud'] }}
                            @else
                                0
                            @endisset</h2>
                    
                  </div>
                </div>
              </div>
              
              
               <div class="col-md-2 col-sm-6 stretch-card grid-margin">
                <div class="card bg-gradient-primary card-img-holder text-white">
                  <div class="card-body">
                    <img src="{{asset('assets/images/dashboard/circle.svg')}}" class="card-img-absolute" alt="circle-image">
                    <h4 class="font-weight-normal mb-3">CAD <i class="mdi mdi-chart-line mdi-24px float-right"></i>
                    </h4>
                    <h2><i class="mdi mdi-currency-usd"></i>@isset($refunded_amount['cad'])
                                {{ $refunded_amount['cad'] }}
                            @else
                                0
                            @endisset</h2>
                    
                  </div>
                </div>
              </div>

        </div>
        <!---= ===== row ===== ---->




        <div class="col-sm-12">
            <div class="card ">
                <div class="card-body">

                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Customer</th>
                                <th>Email</th>
                                <th>Affiliate User</th>
                                <th>Amount</th>
                                <th>Status</th>
                                {{-- <th>IP Address</th> --}}
                                <th>Created At</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $i = 1; ?>
                            @forelse($transactions as $transaction)
                                <tr>
                                    <th scope="row">{{ $i }}</th>
                                    <td>{{ $transaction->firstname }} {{ $transaction->lastname }}</td>
                                    <td>{{ $transaction->email }}</td>
                                    <td>{{ $transaction->affiliate_user->name }}</td>
                                   
                                    <td class="text-uppercase">{{ $transaction->amount }} {{ $transaction->currency }}</td>
                                    <td><span
                                            class="badge @if ($transaction->status == 'Completed') badge-success @else badge-warning @endif ">{{ $transaction->status }}</span>
                                    </td>
                                    {{-- <td>{{ $transaction->ip_address }}</td> --}}
                                    <td>{{ date_format($transaction->created_at, 'd-m-Y') }}</td>
                                    <td>
                                        @if ($transaction->status == 'Completed')
                                            <form class="mb-2" action="{{ route('transaction.refund') }}"
                                                onsubmit="return confirm('Are you sure you want to refund this payment? This cannot be reverted')"
                                                method="POST">@csrf
                                                <input type="hidden" name="transaction_id" value="{{ $transaction->id }}">
                                                <button type="submit" class="btn btn-primary mr-2 "><i
                                                        class="fa fa-dollar"></i>
                                                    Refund</button>
                                            </form>
                                        @endif
                                        <button data-id="{{ $transaction->id }}"
                                            class="btn btn-inverse-danger btn-icon transaction-detail-btn"><i class="mdi mdi-eye"></i></button>
                                    </td>

                                    {{-- data-toggle="modal" data-target="#transModalCenter" --}}
                                </tr>
                                <?php $i++; ?>
                            @empty
                                <tr>
                                    <td colspan="10" class="text-center">No Transaction</td>
                                </tr>
                            @endforelse




                        </tbody>
                    </table>
                </div>
            </div>
        </div>

    </div>
    <!--- ==== container-fluid ==== --->

    <!--- =========== Detail modal ===================----->
    <!-- Modal -->
    <div class="modal fade bd-example-modal-lg" id="transModalCenter" tabindex="-1" role="dialog"
        aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog " role="document">
            <div class="modal-content card">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle">Transaction Detail</h5>
                    <button type="button" class="close m-close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <form>
                    <div class="modal-body card-body">

                        <div class="table-responsive">
                            <table class="table">
                                <tbody id="transaction_detail_container">

                                </tbody>

                            </table>
                        </div>


                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-gradient-primary m-close" data-dismiss="modal">Close</button>
                    </div>
                </form>

            </div>
        </div>
    </div>

@endsection
@section('scripts')
    <script>
        $(document).ready(function() {
            
            $('.m-close').click(function(){
                
                $("#transModalCenter").modal("hide");
                
            });

            $(".transaction-detail-btn").on("click", function() {

                var transaction_id = $(this).data('id');

                //Ajax Request
                $.ajax({

                    type: "POST",
                    url: "{{ route('transction.detail') }}",
                    data: {
                        "_token": "{{ csrf_token() }}",
                        "transaction_id": transaction_id
                    },
                    success: function(data) {

                        if (data.length > 0) {
                            $("#transaction_detail_container").html('');
                            $("#transaction_detail_container").prepend(data);
                            $("#transModalCenter").modal("show");

                        }

                        
                    }

                });

            });

        });
    </script>
@endsection
