@extends('layouts.admin-user-master-layout')
@section('title', 'PaymentCMS - Promo Group')
@section('styles')

    <style type="text/css">
        .modal-dialog {
            max-width: 768px;
        }
    </style>

@endsection
@section('page-heading', 'Promo Group')

@section('content')

    <!-- Breadcrumb-->
    <div class="container-fluid">
        <ul class="breadcrumb">
            <li class="breadcrumb-item"><a href="/dashboard">Home</a></li>
            <li class="breadcrumb-item active">Affiliate Users</li>
            <li class="breadcrumb-item active">Promo Group</li>
        </ul>


    </div>


    <div class="container-fluid">

        <div class="col-sm-12">
            <div class="block">
                <div class="title"><strong>Add New Group</strong></div>
                @if (Session::get('success'))
                    <div class="alert alert-success"><i class="fa fa-check"></i> {{ Session::get('success') }} </div>
                @endif
                @if (Session::get('error'))
                    <div class="alert alert-success"><i class="fa fa-times"></i> {{ Session::get('error') }} </div>
                @endif
                <div class="block-body">
                    <form action="{{ route('affiliate_user.promo_group.save') }}" method="POST" class="form-inline row">
                        @csrf

                        <div class="form-group col-sm-10 ">
                            <label for="inlineFormInput" class="sr-only">Group Name</label>
                            <input id="inlineFormInput" name="name" type="text" value="{{ old('name') }}"
                                placeholder="Prmo Group" class=" form-control w-100" required>

                        </div>


                        <div class="form-group col-sm-2 ">
                            <input type="submit" value="Submit" class="btn btn-primary btn-block">
                        </div>

                    </form>
                    @error('name')
                        <span class="text-danger">{{ $message }}</span>
                    @enderror
                </div>
            </div>
        </div>


        <div class="col-sm-12">
            <div class="block ">
                <div class="table-responsive">
                    <table class="table table-striped table-hover">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Group Name</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $i = 1; ?>
                            @forelse($promo_groups as $promo_group)
                                <tr>
                                    <th scope="row">{{ $i++ }}</th>
                                    <td>{{ $promo_group->name }}</td>
                                    <td class="d-flex">

                                        <button class="btn btn-info"><a class="text-light"
                                                href="{{ route('affiliate_user.promo_group.edit', $promo_group->id) }}"><i
                                                    class="fa fa-edit"></i></a></button>
                                        <form class="ml-2"
                                            onsubmit="return confirm('Are you sure? This action cannot be reverted.')"
                                            action="{{ route('affiliate_user.promo_group.delete') }}" method="POST"> @csrf
                                            @method('DELETE') <input type="hidden" name="group_id"
                                                value="{{ $promo_group->id }}"><button type="submit"
                                                class="btn btn-primary"><i class="fa fa-trash"></i></button></form>
                                    </td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="3" class="text-center">No Data Found</td>
                                </tr>
                            @endforelse

                        </tbody>
                    </table>
                </div>
            </div>
        </div>

    </div>
    <!--- ==== container-fluid ==== --->

@endsection
