@extends('layouts.admin-user-master-layout')

@section('title', 'Purple - Settings')

@section('styles')

    <style type="text/css">
        .modal-dialog {
            max-width: 768px;
        }
    </style>

@endsection

@section('page-heading', 'Settings')

@section('content')

   

    <div class="container-fluid">

        <div class="col-sm-12">
            <div class="card">
                @if(Session::get('success'))<div class="alert bg-success" >{{ Session::get('success') }}</div>@endif
                @if(Session::get('error'))<div class="alert bg-danger" >{{ Session::get('error') }}</div>@endif
               
                <div class="card-body">
                     <div class="card-title"><strong>Stripe</strong></div>
                    <form method="POST" action="{{ route('store.settings') }}" class="row form-sample">
                        @csrf
                        @method("PUT")

                        <div class="form-group col-sm-6">
                            <label class="form-control-label">Public Key</label>
                            <input type="password" @if(!empty($settings['stripe_public_key'])) value="{{ $settings['stripe_public_key'] }}" @endif  name="stripe_public_key" placeholder="Enter Stripe Public Key" class="form-control">
                        </div>
                        <div class="form-group col-sm-6">
                            <label class="form-control-label">Secret Key</label>
                            <input type="password"  name="stripe_secret_key" @if(!empty($settings['stripe_secret_key'])) value="{{ $settings['stripe_secret_key'] }}" @endif placeholder="Enter Stripe Public Key" class="form-control">
                        </div>

                        
                        
                        <div class="form-group col-sm-12">
                            <input type="submit" value="Save" class="btn btn-gradient-primary">
                        </div>
                    </form>
                </div>
            </div>
        </div>




    </div>
    <!--- ==== container-fluid ==== --->

@endsection
